Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 2930)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 2932)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! renamed particles_par to particle_parameters
+! 
+! 2918 2018-03-21 15:52:14Z gronemeier
 ! Add check for 1D model
 ! 
@@ -3251,5 +3254,5 @@
              IF (  .NOT.  particle_advection )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requir' // &
-                   'es a "particles_par"-NAMELIST in the parameter file (PARIN)'
+                   'es a "particle_parameters"-NAMELIST in the parameter file (PARIN)'
                 CALL message( 'check_parameters', 'PA0104', 1, 2, 0, 6, 0 )
              ENDIF
Index: palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 2930)
+++ palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 2932)
@@ -27,4 +27,7 @@
 ! -----------------
 ! $Id$
+! renamed chemistry_par to chemistry_parameters
+! 
+! 2894 2018-03-15 09:17:58Z Giersch
 ! Calculations of the index range of the subdomain on file which overlaps with
 ! the current subdomain are already done in read_restart_data_mod,
@@ -600,5 +603,5 @@
 !
 !-- Set initial concentration of profiles prescribed by parameters cs_profile
-!-- and cs_heights in the namelist &chemistry_par
+!-- and cs_heights in the namelist &chemistry_parameters
 !-- (todo (FK): chem_init_profiles not ready yet, has some bugs)
 !     CALL chem_init_profiles
@@ -780,5 +783,5 @@
 ! Description:
 ! ------------
-!> Subroutine defining parin for &chemistry_par for chemistry model
+!> Subroutine defining parin for &chemistry_parameters for chemistry model
 !------------------------------------------------------------------------------!
    SUBROUTINE chem_parin
@@ -797,36 +800,36 @@
       REAL(wp), DIMENSION(nmaxfixsteps) ::   my_steps   !< List of fixed timesteps   my_step(1) = 0.0 automatic stepping
 
-      NAMELIST /chemistry_par/   bc_cs_b,                                &
-                                 bc_cs_t,                                &
-                                 call_chem_at_all_substeps,              &
-                                 chem_debug0,                            &
-                                 chem_debug1,                            &
-                                 chem_debug2,                            &
-                                 chem_gasphase_on,                       &
-                                 cs_heights,                             &
-                                 cs_name,                                &
-                                 cs_profile,                             &
-                                 cs_profile_name,                        & 
-                                 cs_surface,                             &
-                                 emiss_factor_main,                      &
-                                 emiss_factor_side,                      &                      
-                                 icntrl,                                 &
-                                 main_street_id,                         &
-                                 max_street_id,                          &
-                                 my_steps,                               &
-                                 rcntrl,                                 &
-                                 side_street_id,                         &
-                                 photolysis_scheme,                      &
-                                 wall_csflux,                            &
-                                 cs_vertical_gradient,                   &
-                                 top_csflux,                             & 
-                                 surface_csflux,                         &
-                                 surface_csflux_name,                    &
-                                 cs_surface_initial_change,              &
-                                 cs_vertical_gradient_level
+      NAMELIST /chemistry_parameters/   bc_cs_b,                          &
+                                        bc_cs_t,                          &
+                                        call_chem_at_all_substeps,        &
+                                        chem_debug0,                      &
+                                        chem_debug1,                      &
+                                        chem_debug2,                      &
+                                        chem_gasphase_on,                 &
+                                        cs_heights,                       &
+                                        cs_name,                          &
+                                        cs_profile,                       &
+                                        cs_profile_name,                  & 
+                                        cs_surface,                       &
+                                        emiss_factor_main,                &
+                                        emiss_factor_side,                &                      
+                                        icntrl,                           &
+                                        main_street_id,                   &
+                                        max_street_id,                    &
+                                        my_steps,                         &
+                                        rcntrl,                           &
+                                        side_street_id,                   &
+                                        photolysis_scheme,                &
+                                        wall_csflux,                      &
+                                        cs_vertical_gradient,             &
+                                        top_csflux,                       & 
+                                        surface_csflux,                   &
+                                        surface_csflux_name,              &
+                                        cs_surface_initial_change,        &
+                                        cs_vertical_gradient_level
                              
 !-- analogue to chem_names(nspj) we could invent chem_surfaceflux(nspj) and chem_topflux(nspj)
 !-- so this way we could prescribe a specific flux value for each species
-!>  chemistry_par for initial profiles
+!>  chemistry_parameters for initial profiles
 !>  cs_names = 'O3', 'NO2', 'NO', ...   to set initial profiles)
 !>  cs_heights(1,:) = 0.0, 100.0, 500.0, 2000.0, .... (height levels where concs will be prescribed for O3)
@@ -839,5 +842,5 @@
 !--   Read chem namelist   
 !--   (todo: initialize these parameters in declaration part, do this for
-!--          all chemistry_par namelist parameters)
+!--          all chemistry_parameters namelist parameters)
       icntrl    = 0
       rcntrl    = 0.0_wp
@@ -851,5 +854,5 @@
       REWIND ( 11 )
       line = ' '
-      DO   WHILE ( INDEX( line, '&chemistry_par' ) == 0 )
+      DO   WHILE ( INDEX( line, '&chemistry_parameters' ) == 0 )
          READ ( 11, '(A)', END=10 )  line
       ENDDO
@@ -857,5 +860,5 @@
 !
 !--   Read chemistry namelist
-      READ ( 11, chemistry_par )                          
+      READ ( 11, chemistry_parameters )                          
 !
 !--   Enable chemistry model
@@ -1773,6 +1776,6 @@
 ! 
 ! !
-! !-- Writing out input parameters that are not part of chemistry_par namelist
-! !-- (namelist parameters are anyway read in again in case of restart)
+! !-- Writing out input parameters that are not part of chemistry_parameters 
+! !-- namelist (namelist parameters are anyway read in again in case of restart)
 !     DO lsp = 1, nvar
 !        CALL wrd_write_string( 'conc_pr_init_'//chem_species(lsp)%name )
Index: palm/trunk/SOURCE/cpulog_mod.f90
===================================================================
--- palm/trunk/SOURCE/cpulog_mod.f90	(revision 2930)
+++ palm/trunk/SOURCE/cpulog_mod.f90	(revision 2932)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! renamed d3par to runtime_parameters
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -116,7 +119,7 @@
 !> ao far.
 !>
-!> d3par-parameter cpu_log_barrierwait can be used to set an MPI barrier at the
-!> beginning of the measurement (modus 'start' or 'continue'), to avoid that
-!> idle times (due to MPI calls in the code segment, which are
+!> runtime_parameters-parameter cpu_log_barrierwait can be used to set an MPI 
+!> barrier at the beginning of the measurement (modus 'start' or 'continue'), 
+!> to avoid that idle times (due to MPI calls in the code segment, which are
 !> waiting for other processes to be finished) affect the measurements.
 !> If barriers shall not be used at all, a fourth, optional parameter has to be
Index: palm/trunk/SOURCE/data_output_profiles.f90
===================================================================
--- palm/trunk/SOURCE/data_output_profiles.f90	(revision 2930)
+++ palm/trunk/SOURCE/data_output_profiles.f90	(revision 2932)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! renamed d3par to runtime_parameters
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -140,6 +143,6 @@
        ELSE
 !
-!--       This case may happen if dt_dopr is changed in the d3par-list of
-!--       a restart run
+!--       This case may happen if dt_dopr is changed in the 
+!--       runtime_parameters-list of a restart run
           RETURN
        ENDIF
Index: palm/trunk/SOURCE/gust_mod.f90
===================================================================
--- palm/trunk/SOURCE/gust_mod.f90	(revision 2930)
+++ palm/trunk/SOURCE/gust_mod.f90	(revision 2932)
@@ -25,8 +25,10 @@
 ! -----------------
 ! $Id$
+! renamed gust_par to gust_parameters
+! 
+! 
 ! Initial interface definition
 !
 ! 
-!
 ! Description:
 ! ------------
@@ -156,5 +158,5 @@
 ! Description:
 ! ------------
-!> Parin for &gust_par for gust module
+!> Parin for &gust_parameters for gust module
 !------------------------------------------------------------------------------!
     SUBROUTINE gust_parin
@@ -165,5 +167,5 @@
        CHARACTER (LEN=80)  ::  line  !< dummy string that contains the current line of the parameter file
 
-       NAMELIST /gust_par/  &
+       NAMELIST /gust_parameters/  &
           gust_module_enabled
 
@@ -173,5 +175,5 @@
        REWIND ( 11 )
        line = ' '
-       DO   WHILE ( INDEX( line, '&gust_par' ) == 0 )
+       DO   WHILE ( INDEX( line, '&gust_parameters' ) == 0 )
           READ ( 11, '(A)', END=10 )  line
        ENDDO
@@ -179,5 +181,5 @@
 !
 !--    Read user-defined namelist
-       READ ( 11, gust_par )
+       READ ( 11, gust_parameters )
 !
 !--    Set flag that indicates that the gust module is switched on
Index: palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 2930)
+++ palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 2932)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! renamed lsm_par to land_surface_parameters. Bugfix in message calls
+! 
+! 2921 2018-03-22 15:05:23Z Giersch
 ! The activation of spinup has been moved to parin
 ! 
@@ -1063,5 +1066,5 @@
              message_string = 'output of "' // TRIM( var ) // '" requi' //     &
                       'res land_surface = .TRUE.'
-             CALL message( 'check_parameters', 'PA0404', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_data_output', 'PA0404', 1, 2, 0, 6, 0 )
           ENDIF
           unit = 'm3/m3'
@@ -1071,5 +1074,5 @@
              message_string = 'output of "' // TRIM( var ) // '" requi' //     &
                       'res land_surface = .TRUE.'
-             CALL message( 'check_parameters', 'PA0404', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_data_output', 'PA0404', 1, 2, 0, 6, 0 )
           ENDIF
           unit = 'K'   
@@ -1081,30 +1084,30 @@
                               TRIM( var ) // '" & only 2d-horizontal ' //      &
                               'cross sections are allowed for this value'
-             CALL message( 'check_parameters', 'PA0111', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_data_output', 'PA0111', 1, 2, 0, 6, 0 )
           ENDIF
           IF ( TRIM( var ) == 'lai*'  .AND.  .NOT.  land_surface )  THEN
              message_string = 'output of "' // TRIM( var ) // '" requi' //     &
                               'res land_surface = .TRUE.'
-             CALL message( 'check_parameters', 'PA0404', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_data_output', 'PA0404', 1, 2, 0, 6, 0 )
           ENDIF
           IF ( TRIM( var ) == 'c_liq*'  .AND.  .NOT.  land_surface )  THEN
              message_string = 'output of "' // TRIM( var ) // '" requi' //     &
                               'res land_surface = .TRUE.'
-             CALL message( 'check_parameters', 'PA0404', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_data_output', 'PA0404', 1, 2, 0, 6, 0 )
           ENDIF
           IF ( TRIM( var ) == 'c_soil*'  .AND.  .NOT.  land_surface )  THEN
              message_string = 'output of "' // TRIM( var ) // '" requi' //     &
                               'res land_surface = .TRUE.'
-             CALL message( 'check_parameters', 'PA0404', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_data_output', 'PA0404', 1, 2, 0, 6, 0 )
           ENDIF
           IF ( TRIM( var ) == 'c_veg*'  .AND.  .NOT. land_surface )  THEN
              message_string = 'output of "' // TRIM( var ) // '" requi' //     &
                               'res land_surface = .TRUE.'
-             CALL message( 'check_parameters', 'PA0404', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_data_output', 'PA0404', 1, 2, 0, 6, 0 )
           ENDIF
           IF ( TRIM( var ) == 'm_liq*'  .AND.  .NOT.  land_surface )  THEN
              message_string = 'output of "' // TRIM( var ) // '" requi' //     &
                               'res land_surface = .TRUE.'
-             CALL message( 'check_parameters', 'PA0404', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_data_output', 'PA0404', 1, 2, 0, 6, 0 )
           ENDIF
           IF ( TRIM( var ) == 'qsws_liq*'  .AND.  .NOT. land_surface )         &
@@ -1112,5 +1115,5 @@
              message_string = 'output of "' // TRIM( var ) // '" requi' //     &
                               'res land_surface = .TRUE.'
-             CALL message( 'check_parameters', 'PA0404', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_data_output', 'PA0404', 1, 2, 0, 6, 0 )
           ENDIF
           IF ( TRIM( var ) == 'qsws_soil*'  .AND.  .NOT.  land_surface )       &
@@ -1118,5 +1121,5 @@
              message_string = 'output of "' // TRIM( var ) // '" requi' //     &
                               'res land_surface = .TRUE.'
-             CALL message( 'check_parameters', 'PA0404', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_data_output', 'PA0404', 1, 2, 0, 6, 0 )
           ENDIF
           IF ( TRIM( var ) == 'qsws_veg*'  .AND.  .NOT. land_surface )         &
@@ -1124,5 +1127,5 @@
              message_string = 'output of "' // TRIM( var ) // '" requi' //     &
                               'res land_surface = .TRUE.'
-             CALL message( 'check_parameters', 'PA0404', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_data_output', 'PA0404', 1, 2, 0, 6, 0 )
           ENDIF
           IF ( TRIM( var ) == 'r_s*'  .AND.  .NOT.  land_surface )             &
@@ -1130,5 +1133,5 @@
              message_string = 'output of "' // TRIM( var ) // '" requi' //     &
                               'res land_surface = .TRUE.'
-             CALL message( 'check_parameters', 'PA0404', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_data_output', 'PA0404', 1, 2, 0, 6, 0 )
           ENDIF
 
@@ -1185,5 +1188,5 @@
                               TRIM( data_output_pr(var_count) ) // ' is' //    &
                               'not implemented for land_surface = .FALSE.'
-             CALL message( 'check_parameters', 'PA0402', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_data_output_pr', 'PA0402', 1, 2, 0, 6, 0 )
           ELSE
              dopr_index(var_count) = 89
@@ -1203,5 +1206,5 @@
                               TRIM( data_output_pr(var_count) ) // ' is' //    &
                               ' not implemented for land_surface = .FALSE.'
-             CALL message( 'check_parameters', 'PA0402', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_data_output_pr', 'PA0402', 1, 2, 0, 6, 0 )
           ELSE
              dopr_index(var_count) = 91
@@ -1251,5 +1254,5 @@
        message_string = 'unknown surface type surface_type = "' //             &
                         TRIM( surface_type ) // '"'
-       CALL message( 'check_parameters', 'PA0019', 1, 2, 0, 6, 0 )
+       CALL message( 'lsm_check_parameters', 'PA0019', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1262,5 +1265,5 @@
                         'bc_pt_b = "dirichlet" and '//                         &
                         'bc_q_b  = "dirichlet"'
-       CALL message( 'check_parameters', 'PA0399', 1, 2, 0, 6, 0 )
+       CALL message( 'lsm_check_parameters', 'PA0399', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1268,5 +1271,5 @@
        message_string = 'lsm requires '//                                      &
                         'constant_flux_layer = .T.'
-       CALL message( 'check_parameters', 'PA0400', 1, 2, 0, 6, 0 )
+       CALL message( 'lsm_check_parameters', 'PA0400', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1278,5 +1281,5 @@
                               'requires setting of min_canopy_resistance'//    &
                               '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
           ENDIF
 
@@ -1285,5 +1288,5 @@
                               'requires setting of leaf_area_index'//          &
                               '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
           ENDIF
 
@@ -1292,5 +1295,5 @@
                               'requires setting of vegetation_coverage'//      &
                               '/= 9999999.9'
-                CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
+                CALL message( 'lsm_check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
           ENDIF
 
@@ -1299,5 +1302,5 @@
                               'requires setting of'//                          &
                               'canopy_resistance_coefficient /= 9999999.9'
-             CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
           ENDIF
 
@@ -1306,5 +1309,5 @@
                               'requires setting of lambda_surface_stable'//    &
                               '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
           ENDIF
 
@@ -1313,5 +1316,5 @@
                               'requires setting of lambda_surface_unstable'//  &
                               '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
           ENDIF
 
@@ -1320,5 +1323,5 @@
                               'requires setting of f_shortwave_incoming'//     &
                               '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
           ENDIF
 
@@ -1327,5 +1330,5 @@
                               'requires setting of z0_vegetation'//            &
                               '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
           ENDIF
 
@@ -1334,5 +1337,5 @@
                               'requires setting of z0h_vegetation'//           &
                               '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
           ENDIF
        ENDIF
@@ -1343,5 +1346,5 @@
              message_string = 'vegetation_type = 1 (bare soil)'//              &
                               ' requires vegetation_coverage = 0'
-             CALL message( 'check_parameters', 'PA0471', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_parameters', 'PA0471', 1, 2, 0, 6, 0 )
           ENDIF
        ENDIF
@@ -1355,5 +1358,5 @@
                                      ' is not allowed in combination with ',   &
                                      'most_method = ', most_method
-          CALL message( 'check_parameters', 'PA0417', 1, 2, 0, 6, 0 )
+          CALL message( 'lsm_check_parameters', 'PA0417', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -1364,5 +1367,5 @@
                               'requires setting of z0_water'//                 &
                               '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0415', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_parameters', 'PA0415', 1, 2, 0, 6, 0 )
           ENDIF
 
@@ -1371,5 +1374,5 @@
                               'requires setting of z0h_water'//                &
                               '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0392', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_parameters', 'PA0392', 1, 2, 0, 6, 0 )
           ENDIF
           
@@ -1378,5 +1381,5 @@
                               'requires setting of water_temperature'//        &
                               '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0379', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_parameters', 'PA0379', 1, 2, 0, 6, 0 )
           ENDIF       
           
@@ -1390,5 +1393,5 @@
           message_string = 'non-default setting of dz_soil '//                  &
                            'does not allow to use pavement_type /= 0)'
-             CALL message( 'check_parameters', 'PA0341', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_parameters', 'PA0341', 1, 2, 0, 6, 0 )
           ENDIF
 
@@ -1399,5 +1402,5 @@
                               'requires setting of z0_pavement'//              &
                               '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0352', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_parameters', 'PA0352', 1, 2, 0, 6, 0 )
           ENDIF
 
@@ -1406,5 +1409,5 @@
                               'requires setting of z0h_pavement'//             &
                               '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0353', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_parameters', 'PA0353', 1, 2, 0, 6, 0 )
           ENDIF
           
@@ -1413,5 +1416,5 @@
                               'requires setting of pavement_heat_conduct'//    &
                               '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0342', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_parameters', 'PA0342', 1, 2, 0, 6, 0 )
           ENDIF 
           
@@ -1420,5 +1423,5 @@
                               'requires setting of pavement_heat_capacity'//   &
                               '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0139', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_parameters', 'PA0139', 1, 2, 0, 6, 0 )
           ENDIF 
 
@@ -1427,5 +1430,5 @@
                               'requires setting of pavement_depth_level'//     &
                               '/= 0'
-             CALL message( 'check_parameters', 'PA0474', 1, 2, 0, 6, 0 )
+             CALL message( 'lsm_check_parameters', 'PA0474', 1, 2, 0, 6, 0 )
           ENDIF 
 
@@ -1440,5 +1443,5 @@
                                      'combination with most_method = ',        &
                                      TRIM( most_method )
-          CALL message( 'check_parameters', 'PA0999', 2, 2, 0, 6, 0 )
+          CALL message( 'lsm_check_parameters', 'PA0999', 2, 2, 0, 6, 0 )
        ENDIF
 !
@@ -1449,5 +1452,5 @@
           message_string = 'pavement-surfaces are not allowed in ' //           &
                            'combination with a non-default setting of dz_soil'
-          CALL message( 'check_parameters', 'PA0999', 2, 2, 0, 6, 0 )
+          CALL message( 'lsm_check_parameters', 'PA0999', 2, 2, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -1458,5 +1461,5 @@
     THEN
        message_string = 'surface_type = netcdf requires static input file.'
-       CALL message( 'check_parameters', 'PA0465', 1, 2, 0, 6, 0 )
+       CALL message( 'lsm_check_parameters', 'PA0465', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1467,5 +1470,5 @@
                            'requires setting of alpha_vangenuchten'//          &
                            '/= 9999999.9'
-          CALL message( 'check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
+          CALL message( 'lsm_check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -1474,5 +1477,5 @@
                            'requires setting of l_vangenuchten'//              &
                            '/= 9999999.9'
-          CALL message( 'check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
+          CALL message( 'lsm_check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -1481,5 +1484,5 @@
                            'requires setting of n_vangenuchten'//              &
                            '/= 9999999.9'
-          CALL message( 'check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
+          CALL message( 'lsm_check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -1488,5 +1491,5 @@
                            'requires setting of hydraulic_conductivity'//      &
                            '/= 9999999.9'
-          CALL message( 'check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
+          CALL message( 'lsm_check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -1495,5 +1498,5 @@
                            'requires setting of saturation_moisture'//         &
                            '/= 9999999.9'
-          CALL message( 'check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
+          CALL message( 'lsm_check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -1502,5 +1505,5 @@
                            'requires setting of field_capacity'//              &
                            '/= 9999999.9'
-          CALL message( 'check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
+          CALL message( 'lsm_check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -1509,5 +1512,5 @@
                            'requires setting of wilting_point'//               &
                            '/= 9999999.9'
-          CALL message( 'check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
+          CALL message( 'lsm_check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -1516,5 +1519,5 @@
                            'requires setting of residual_moisture'//           &
                            '/= 9999999.9'
-          CALL message( 'check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
+          CALL message( 'lsm_check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -1548,5 +1551,5 @@
                                   ' in soil_temperature (', COUNT(             &
                                    soil_temperature /= 9999999.9_wp ), ')'
-          CALL message( 'check_parameters', 'PA0471', 1, 2, 0, 6, 0 )
+          CALL message( 'lsm_check_parameters', 'PA0471', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1554,5 +1557,5 @@
           message_string = 'deep_soil_temperature is not set but must be'//    &
                            '/= 9999999.9'
-          CALL message( 'check_parameters', 'PA0472', 1, 2, 0, 6, 0 )
+          CALL message( 'lsm_check_parameters', 'PA0472', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1564,5 +1567,5 @@
                            'requires setting of root_fraction'//               &
                            '/= 9999999.9 and SUM(root_fraction) = 1'
-          CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
+          CALL message( 'lsm_check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF    
@@ -1576,5 +1579,5 @@
           message_string = 'soil_moisture must not exceed its saturation' //    &
                             ' value'
-          CALL message( 'check_parameters', 'PA0458', 1, 2, 0, 6, 0 )
+          CALL message( 'lsm_check_parameters', 'PA0458', 1, 2, 0, 6, 0 )
        ENDIF
     ENDDO
@@ -4538,4 +4541,6 @@
     SUBROUTINE lsm_parin
 
+       USE control_parameters,                                                 &
+           ONLY:  message_string
 
        IMPLICIT NONE
@@ -4569,12 +4574,40 @@
                                   z0h_water, z0q_water, z0_pavement,           &
                                   z0h_pavement, z0q_pavement
-       
+
+       NAMELIST /land_surface_parameters/                                      &
+                                  alpha_vangenuchten, c_surface,               &
+                                  canopy_resistance_coefficient,               &
+                                  constant_roughness,                          &
+                                  conserve_water_content,                      &
+                                  deep_soil_temperature,                       &
+                                  dz_soil,                                     &
+                                  f_shortwave_incoming, field_capacity,        & 
+                                  aero_resist_kray, hydraulic_conductivity,    &
+                                  lambda_surface_stable,                       &
+                                  lambda_surface_unstable, leaf_area_index,    &
+                                  l_vangenuchten, min_canopy_resistance,       &
+                                  min_soil_resistance, n_vangenuchten,         &
+                                  pavement_depth_level,                        &
+                                  pavement_heat_capacity,                      &
+                                  pavement_heat_conduct, pavement_type,        &
+                                  residual_moisture, root_fraction,            &
+                                  saturation_moisture, skip_time_do_lsm,       &
+                                  soil_moisture, soil_temperature,             &
+                                  soil_type,                                   &
+                                  surface_type,                                &
+                                  vegetation_coverage, vegetation_type,        &
+                                  water_temperature, water_type,               &
+                                  wilting_point, z0_vegetation,                &
+                                  z0h_vegetation, z0q_vegetation, z0_water,    &
+                                  z0h_water, z0q_water, z0_pavement,           &
+                                  z0h_pavement, z0q_pavement
+                                  
        line = ' '
-       
+  
 !
 !--    Try to find land surface model package
        REWIND ( 11 )
        line = ' '
-       DO   WHILE ( INDEX( line, '&lsm_par' ) == 0 )
+       DO   WHILE ( INDEX( line, '&land_surface_parameters' ) == 0 )
           READ ( 11, '(A)', END=10 )  line
        ENDDO
@@ -4583,12 +4616,35 @@
 !
 !--    Read user-defined namelist
-       READ ( 11, lsm_par )
+       READ ( 11, land_surface_parameters )
 
 !
 !--    Set flag that indicates that the land surface model is switched on
        land_surface = .TRUE.
-
-
- 10    CONTINUE
+       
+       GOTO 12
+!
+!--    Try to find old namelist
+ 10    REWIND ( 11 )
+       line = ' '
+       DO   WHILE ( INDEX( line, '&lsm_par' ) == 0 )
+          READ ( 11, '(A)', END=12 )  line
+       ENDDO
+       BACKSPACE ( 11 )
+
+!
+!--    Read user-defined namelist
+       READ ( 11, lsm_par )
+
+       message_string = 'namelist lsm_par is deprecated and will be ' // &
+                     'removed in near future. Please &use namelist ' //  &
+                     'land_surface_parameters instead'
+       CALL message( 'lsm_parin', 'PA0487', 0, 1, 0, 6, 0 )
+       
+!
+!--    Set flag that indicates that the land surface model is switched on
+       land_surface = .TRUE.
+
+
+ 12    CONTINUE
        
 
Index: palm/trunk/SOURCE/lpm_splitting.f90
===================================================================
--- palm/trunk/SOURCE/lpm_splitting.f90	(revision 2930)
+++ palm/trunk/SOURCE/lpm_splitting.f90	(revision 2932)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! renamed particles_par to particle_parameters
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -167,7 +170,7 @@
 !--             a critical radius  (radius_split) a critical weighting factor
 !--             (weight_factor_split) and a splitting factor (splitting_factor)
-!--             must  be prescribed (see particles_par). Super droplets which 
-!--             have a larger radius and larger weighting factor are split into
-!--             'splitting_factor' super droplets. Therefore, the weighting 
+!--             must  be prescribed (see particle_parameters). Super droplets 
+!--             which have a larger radius and larger weighting factor are split 
+!--             into 'splitting_factor' super droplets. Therefore, the weighting 
 !--             factor of  the super droplet and all created clones is reduced 
 !--             by the factor of 'splitting_factor'.
Index: palm/trunk/SOURCE/message.f90
===================================================================
--- palm/trunk/SOURCE/message.f90	(revision 2930)
+++ palm/trunk/SOURCE/message.f90	(revision 2932)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+!
 ! 
 ! Former revisions:
Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 2930)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 2932)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed inipar to initialization_parameters.
+! 
+! 2817 2018-02-19 16:32:21Z knoop
 ! Preliminary gust module interface implemented
 ! 
@@ -682,6 +685,7 @@
 
              CASE DEFAULT
-                WRITE ( message_string, * ) 'unknown variable in inipar ',    & 
-                                  'assignment: netcdf_precision(', i, ')="',  &
+                WRITE ( message_string, * ) 'unknown variable in ' //          &
+                                  'initialization_parameters ',                & 
+                                  'assignment: netcdf_precision(', i, ')="',   &
                                             TRIM( netcdf_precision(i) ),'"'
                 CALL message( 'netcdf_define_header', 'PA0243', 1, 2, 0, 6, 0 )
Index: palm/trunk/SOURCE/package_parin.f90
===================================================================
--- palm/trunk/SOURCE/package_parin.f90	(revision 2930)
+++ palm/trunk/SOURCE/package_parin.f90	(revision 2932)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! renamed particles_par to particle_parameters
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -157,6 +160,6 @@
 
     USE control_parameters,                                                    &
-        ONLY:  dt_data_output, dt_dopts, dt_dvrp, particle_maximum_age,        &
-               threshold
+        ONLY:  dt_data_output, dt_dopts, dt_dvrp, message_string,              &
+               particle_maximum_age, threshold
 
     USE dvrp_variables,                                                        &
@@ -249,4 +252,36 @@
                                   write_particle_statistics
 
+                                  
+    NAMELIST /particle_parameters/                                             &
+                                  aero_species, aero_type, aero_weight,        &
+                                  alloc_factor, bc_par_b, bc_par_lr,           &
+                                  bc_par_ns, bc_par_t,                         &
+                                  collision_kernel, curvature_solution_effects,&
+                                  deallocate_memory, density_ratio,            &
+                                  dissipation_classes, dt_dopts,               &
+                                  dt_min_part, dt_prel,                        &
+                                  dt_write_particle_data,                      &
+                                  end_time_prel, initial_weighting_factor,     &
+                                  log_sigma,                                   &
+                                  max_number_particles_per_gridbox, merging,   &
+                                  min_nr_particle,                             &
+                                  na, number_concentration,                    &
+                                  number_of_particle_groups,                   &
+                                  number_particles_per_gridbox,                &
+                                  particles_per_point,                         &
+                                  particle_advection_start,                    &
+                                  particle_maximum_age, pdx, pdy, pdz, psb,    &
+                                  psl, psn, psr, pss, pst, radius,             &
+                                  radius_classes, radius_merge, radius_split,  &
+                                  random_start_position,                       &
+                                  read_particles_from_restartfile, rm,         &
+                                  seed_follows_topography,                     &
+                                  splitting, splitting_factor,                 &
+                                  splitting_factor_max, splitting_function,    &
+                                  splitting_mode, step_dealloc,                &
+                                  use_sgs_for_particles,                       &
+                                  vertical_particle_advection,                 &
+                                  weight_factor_merge, weight_factor_split,    &
+                                  write_particle_statistics
 !
 !-- Position the namelist-file at the beginning (it was already opened in
@@ -275,5 +310,5 @@
     REWIND ( 11 )
     line = ' '
-    DO   WHILE ( INDEX( line, '&particles_par' ) == 0 )
+    DO   WHILE ( INDEX( line, '&particle_parameters' ) == 0 )
        READ ( 11, '(A)', END=30 )  line
     ENDDO
@@ -282,11 +317,36 @@
 !
 !-- Read user-defined namelist
-    READ ( 11, particles_par )
+    READ ( 11, particle_parameters )
 
 !
 !-- Set flag that indicates that particles are switched on
     particle_advection = .TRUE.
-
- 30 CONTINUE
+    
+    GOTO 31
+
+!
+!-- Try to find particles package (old namelist)
+30  REWIND ( 11 )
+    line = ' '
+    DO   WHILE ( INDEX( line, '&particles_par' ) == 0 )
+       READ ( 11, '(A)', END=31 )  line
+    ENDDO
+    BACKSPACE ( 11 )
+
+!
+!-- Read user-defined namelist
+    READ ( 11, particles_par )
+    
+    
+    message_string = 'namelist particles_par is deprecated and will be ' //    &
+                     'removed in near future. Please &use namelist ' //        &
+                     'particle_parameters instead'
+    CALL message( 'package_parin', 'PA0487', 0, 1, 0, 6, 0 )
+
+!
+!-- Set flag that indicates that particles are switched on
+    particle_advection = .TRUE.
+
+ 31 CONTINUE
 
  END SUBROUTINE package_parin
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 2930)
+++ palm/trunk/SOURCE/parin.f90	(revision 2932)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! inipar renamed to initialization_parameters.
+! d3par renamed to runtime_parameters.
+! 
+! 2921 2018-03-22 15:05:23Z Giersch
 ! Activation of spinup has been moved from lsm/usm_parin to parin itself
 ! 
@@ -523,5 +527,75 @@
              wall_salinityflux, wall_scalarflux, y_shift, zeta_max, zeta_min,  &
              z0h_factor
-      
+
+    NAMELIST /initialization_parameters/  aerosol_bulk, alpha_surface,         &
+             approximation, bc_e_b,                                            &
+             bc_lr, bc_ns, bc_p_b, bc_p_t, bc_pt_b, bc_pt_t, bc_q_b,           &
+             bc_q_t,bc_s_b, bc_s_t, bc_sa_t, bc_uv_b, bc_uv_t,                 &
+             bottom_salinityflux, building_height, building_length_x,          &
+             building_length_y, building_wall_left, building_wall_south,       &
+             calc_soil_moisture_during_spinup,                                 &
+             call_psolver_at_all_substeps, call_microphysics_at_all_substeps,  &
+             canyon_height,                                                    &
+             canyon_width_x, canyon_width_y, canyon_wall_left,                 &
+             canyon_wall_south, c_sedimentation, cfl_factor, cloud_droplets,   &
+             cloud_physics, cloud_scheme, cloud_top_radiation,                 &
+             cloud_water_sedimentation,                                        &
+             collective_wait, collision_turbulence, complex_terrain,           &
+             conserve_volume_flow,                                             &
+             conserve_volume_flow_mode, constant_flux_layer,                   &
+             coupling_start_time, curvature_solution_effects_bulk,             &
+             cycle_mg, damp_level_1d,                                          &
+             data_output_during_spinup,                                        &
+             day_of_year_init,                                                 &
+             dissipation_1d,                                                   &
+             dp_external, dp_level_b, dp_smooth, dpdxy, dry_aerosol_radius,    &
+             dt, dt_pr_1d, dt_run_control_1d, dt_spinup, dx, dy, dz, dz_max,   &
+             dz_stretch_factor, dz_stretch_level, end_time_1d,                 &
+             ensemble_member_nr, e_init, e_min, fft_method,                    &
+             flux_input_mode, flux_output_mode, forcing,                       &
+             galilei_transformation, humidity,                                 &
+             inflow_damping_height, inflow_damping_width,                      &
+             inflow_disturbance_begin, inflow_disturbance_end,                 &
+             initializing_actions, km_constant,                                &
+             large_scale_forcing, large_scale_subsidence, latitude,            &
+             limiter_sedimentation, longitude,                                 &
+             loop_optimization, lsf_exception, masking_method, mg_cycles,      &
+             mg_switch_to_pe0_level, mixing_length_1d, momentum_advec,         &
+             most_method, na_init, nc_const, netcdf_precision, neutral, ngsrb, &
+             nsor, nsor_ini, nudging, nx, ny, nz, ocean, omega, omega_sor,     &
+             outflow_source_plane, passive_scalar,                             &
+             prandtl_number, precipitation, psolver, pt_damping_factor,        &
+             pt_damping_width, pt_reference, pt_surface,                       &
+             pt_surface_initial_change, pt_vertical_gradient,                  &
+             pt_vertical_gradient_level, q_surface, q_surface_initial_change,  &
+             q_vertical_gradient, q_vertical_gradient_level,                   &
+             random_generator, random_heatflux, rans_mode,                     &
+             rayleigh_damping_factor, rayleigh_damping_height,                 &
+             recycling_width, recycling_yshift,                                &
+             reference_state, residual_limit,                                  &
+             roughness_length, sa_surface,                                     &
+             sa_vertical_gradient, sa_vertical_gradient_level, scalar_advec,   &
+             scalar_rayleigh_damping, sigma_bulk,                              &
+             spinup_time, spinup_pt_amplitude, spinup_pt_mean,                 &
+             statistic_regions, subs_vertical_gradient,                        &
+             subs_vertical_gradient_level, surface_heatflux, surface_pressure, &
+             surface_scalarflux, surface_waterflux,                            &
+             s_surface, s_surface_initial_change, s_vertical_gradient,         &
+             s_vertical_gradient_level, time_utc_init, timestep_scheme,        &
+             topography, topography_grid_convention, top_heatflux,             &
+             top_momentumflux_u, top_momentumflux_v, top_salinityflux,         &
+             top_scalarflux, transpose_compute_overlap,                        &
+             tunnel_height, tunnel_length, tunnel_width_x, tunnel_width_y,     &
+             tunnel_wall_depth, turbulence_closure,                            &
+             turbulent_inflow, turbulent_outflow,                              &
+             use_subsidence_tendencies, ug_surface, ug_vertical_gradient,      &
+             ug_vertical_gradient_level, use_surface_fluxes, use_cmax,         &
+             use_top_fluxes, use_ug_for_galilei_tr, use_upstream_for_tke,      &
+             uv_heights, u_bulk, u_profile, vg_surface, vg_vertical_gradient,  &
+             vg_vertical_gradient_level, v_bulk, v_profile, ventilation_effect,&
+             wall_adjustment, wall_heatflux, wall_humidityflux,                &
+             wall_salinityflux, wall_scalarflux, y_shift, zeta_max, zeta_min,  &
+             z0h_factor
+             
     NAMELIST /d3par/  averaging_interval, averaging_interval_pr,               &
              cpu_log_barrierwait, create_disturbances,                         &
@@ -545,4 +619,24 @@
              termination_time_needed, vnest_start_time, z_max_do2d
 
+    NAMELIST /runtime_parameters/  averaging_interval, averaging_interval_pr,  &
+             cpu_log_barrierwait, create_disturbances,                         &
+             cross_profiles, data_output, data_output_masks,                   &
+             data_output_pr, data_output_2d_on_each_pe, disturbance_amplitude, &
+             disturbance_energy_limit, disturbance_level_b,                    &
+             disturbance_level_t, do2d_at_begin, do3d_at_begin,                &
+             dt, dt_averaging_input, dt_averaging_input_pr,                    &
+             dt_coupling, dt_data_output, dt_data_output_av, dt_disturb,       &
+             dt_domask, dt_dopr, dt_dopr_listing, dt_dots, dt_do2d_xy,         &
+             dt_do2d_xz, dt_do2d_yz, dt_do3d, dt_max, dt_restart,              &
+             dt_run_control,end_time, force_print_header, mask_scale_x,        &
+             mask_scale_y, mask_scale_z, mask_x, mask_y, mask_z, mask_x_loop,  &
+             mask_y_loop, mask_z_loop, netcdf_data_format, netcdf_deflate,     &
+             normalizing_region, npex, npey, nz_do3d,                          &
+             precipitation_amount_interval, profile_columns, profile_rows,     &
+             restart_time, section_xy, section_xz, section_yz,                 &
+             skip_time_data_output, skip_time_data_output_av, skip_time_dopr,  &
+             skip_time_do2d_xy, skip_time_do2d_xz, skip_time_do2d_yz,          &
+             skip_time_do3d, skip_time_domask, synchronous_exchange,           &
+             termination_time_needed, vnest_start_time, z_max_do2d
 
     NAMELIST /envpar/  batch_job, host, local_dvrserver_running,               &
@@ -617,24 +711,40 @@
 !--       Read the control parameters for initialization.
 !--       The namelist "inipar" must be provided in the NAMELIST-file.
-          READ ( 11, inipar, ERR=10, END=11 )
+          READ ( 11, initialization_parameters, ERR=10, END=11 )
 
           GOTO 12
 
- 10       message_string = 'errors in \$inipar &or no \$inipar-namelist ' //   &
+ 10       message_string = 'errors in initialization_parameters &or no ' //    &
+                           'initialization_parameters-namelist ' //            &
                            'found (CRAY-machines only)'
           CALL message( 'parin', 'PA0271', 1, 2, 0, 6, 0 )
 
- 11       message_string = 'no \$inipar-namelist found'
+ 11       REWIND ( 11 )
+          READ ( 11, inipar, ERR=13, END=14 )
+ 
+          message_string = 'namelist inipar is deprecated and will be ' //     &
+                          'removed in near future. Please &use namelist ' //   &
+                          'initialization_parameters instead'
+          CALL message( 'parin', 'PA0272', 0, 1, 0, 6, 0 )
+ 
+          GOTO 12
+ 
+ 13       message_string = 'errors in inipar &or no inipar-namelist ' //       &
+                           'found (CRAY-machines only)'
+          CALL message( 'parin', 'PA0271', 1, 2, 0, 6, 0 )
+          
+ 14       message_string = 'no initialization_parameters-namelist found'
           CALL message( 'parin', 'PA0272', 1, 2, 0, 6, 0 )
 
 !
 !--       Try to read runtime parameters given by the user for this run
-!--       (namelist "d3par"). The namelist "d3par" can be omitted. In that case
-!--       default values are used for the parameters.
+!--       (namelist "runtime_parameters"). The namelist "runtime_parmeters"    
+!--       can be omitted. In that case default values are used for the         
+!--       parameters.
  12       line = ' '
 
           REWIND ( 11 )
           line = ' '
-          DO   WHILE ( INDEX( line, '&d3par' ) == 0 )
+          DO   WHILE ( INDEX( line, '&runtime_parameters' ) == 0 )
              READ ( 11, '(A)', END=20 )  line
           ENDDO
@@ -643,7 +753,25 @@
 !
 !--       Read namelist
+          READ ( 11, runtime_parameters )
+
+          GOTO 21
+          
+ 20       REWIND ( 11 )
+          line = ' '
+          DO   WHILE ( INDEX( line, '&d3par' ) == 0 )
+             READ ( 11, '(A)', END=21 )  line
+          ENDDO
+          BACKSPACE ( 11 )
+ 
+ !
+!--       Read namelist
           READ ( 11, d3par )
-
- 20       CONTINUE
+ 
+          message_string = 'namelist d3par is deprecated and will be ' //      &
+                          'removed in near future. Please &use namelist ' //   &
+                          'runtime_parameters instead'
+          CALL message( 'parin', 'PA0487', 0, 1, 0, 6, 0 )
+          
+ 21       CONTINUE
 
 !
Index: palm/trunk/SOURCE/plant_canopy_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 2930)
+++ palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 2932)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! renamed canopy_par to plant_canopy_parameters
+! 
+! 2920 2018-03-22 11:22:01Z kanani
 ! Move usm_lad_rma and prototype_lad to radiation_model (moh.hefny)
 ! 
@@ -945,10 +948,10 @@
 ! Description:
 ! ------------
-!> Parin for &canopy_par for plant canopy model
+!> Parin for &plant_canopy_parameters for plant canopy model
 !------------------------------------------------------------------------------!
     SUBROUTINE pcm_parin
 
        USE control_parameters,                                                 &
-           ONLY:  plant_canopy
+           ONLY:  message_string, plant_canopy
 
        IMPLICIT NONE
@@ -956,4 +959,14 @@
        CHARACTER (LEN=80) ::  line  !< dummy string that contains the current line of the parameter file 
        
+       NAMELIST /plant_canopy_parameters/                                      &
+                                  alpha_lad, beta_lad, canopy_drag_coeff,      &
+                                  canopy_mode, cthf,                           &
+                                  lad_surface,                                 & 
+                                  lad_vertical_gradient,                       &
+                                  lad_vertical_gradient_level,                 &
+                                  lai_beta,                                    &
+                                  leaf_scalar_exch_coeff,                      &
+                                  leaf_surface_conc, pch_index
+
        NAMELIST /canopy_par/      alpha_lad, beta_lad, canopy_drag_coeff,      &
                                   canopy_mode, cthf,                           &
@@ -964,5 +977,5 @@
                                   leaf_scalar_exch_coeff,                      &
                                   leaf_surface_conc, pch_index
-       
+                                  
        line = ' '
        
@@ -971,5 +984,5 @@
        REWIND ( 11 )
        line = ' '
-       DO   WHILE ( INDEX( line, '&canopy_par' ) == 0 )
+       DO   WHILE ( INDEX( line, '&plant_canopy_parameters' ) == 0 )
           READ ( 11, '(A)', END=10 )  line
        ENDDO
@@ -978,11 +991,34 @@
 !
 !--    Read user-defined namelist
-       READ ( 11, canopy_par )
+       READ ( 11, plant_canopy_parameters )
 
 !
 !--    Set flag that indicates that the radiation model is switched on
        plant_canopy = .TRUE.
-
- 10    CONTINUE
+       
+       GOTO 12
+!
+!--    Try to find old namelist
+ 10    REWIND ( 11 )
+       line = ' '
+       DO   WHILE ( INDEX( line, '&canopy_par' ) == 0 )
+          READ ( 11, '(A)', END=12 )  line
+       ENDDO
+       BACKSPACE ( 11 )
+
+!
+!--    Read user-defined namelist
+       READ ( 11, canopy_par )
+
+       message_string = 'namelist canopy_par is deprecated and will be ' // &
+                     'removed in near future. Please &use namelist ' //     &
+                     'plant_canopy_parameters instead'
+       CALL message( 'pcm_parin', 'PA0487', 0, 1, 0, 6, 0 )
+       
+!
+!--    Set flag that indicates that the radiation model is switched on
+       plant_canopy = .TRUE.
+
+ 12    CONTINUE
        
 
Index: palm/trunk/SOURCE/pmc_handle_communicator_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_handle_communicator_mod.f90	(revision 2930)
+++ palm/trunk/SOURCE/pmc_handle_communicator_mod.f90	(revision 2932)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! nestpar renamed to nesting_parameters
+! 
+! 2841 2018-02-27 15:02:57Z knoop
 ! Bugfix: wrong placement of include 'mpif.h' corrected
 ! 
@@ -146,5 +149,5 @@
 
     INTEGER, PARAMETER, PUBLIC ::  pmc_error_npes        = 1  !< illegal number of processes
-    INTEGER, PARAMETER, PUBLIC ::  pmc_namelist_error    = 2  !< error(s) in nestpar namelist
+    INTEGER, PARAMETER, PUBLIC ::  pmc_namelist_error    = 2  !< error(s) in nesting_parameters namelist
     INTEGER, PARAMETER, PUBLIC ::  pmc_no_namelist_found = 3  !< no couple layout namelist found
 
@@ -152,5 +155,5 @@
     INTEGER ::  m_my_cpl_id   !< coupler id of this model
     INTEGER ::  m_parent_id   !< coupler id of parent of this model
-    INTEGER ::  m_ncpl        !< number of couplers given in nestpar namelist
+    INTEGER ::  m_ncpl        !< number of couplers given in nesting_parameters namelist
 
     TYPE(pmc_layout), PUBLIC, DIMENSION(pmc_max_models) ::  m_couplers  !< information of all couplers
@@ -268,5 +271,5 @@
 !--    comm2d have not yet been assigned at this point.
        IF ( m_world_rank == 0 )  THEN
-          message_string = 'errors in \$nestpar'
+          message_string = 'errors in \$nesting_parameters'
           CALL message( 'pmc_init_model', 'PA0223', 3, 2, 0, 6, 0 )
        ENDIF
@@ -484,6 +487,7 @@
     TYPE(pmc_layout), DIMENSION(pmc_max_models) ::  domain_layouts
 
-    NAMELIST /nestpar/  domain_layouts, nesting_datatransfer_mode, nesting_mode
-
+    NAMELIST /nesting_parameters/  domain_layouts, nesting_datatransfer_mode,  &
+                                   nesting_mode
+    
 !
 !-- Initialize some coupling variables
@@ -495,5 +499,5 @@
 !-- Open the NAMELIST-file and read the nesting layout
     CALL check_open( 11 )
-    READ ( 11, nestpar, IOSTAT=istat )
+    READ ( 11, nesting_parameters, IOSTAT=istat )
 !
 !-- Set filepointer to the beginning of the file. Otherwise process 0 will later
@@ -503,10 +507,10 @@
     IF ( istat < 0 )  THEN
 !
-!--    No nestpar-NAMELIST found
+!--    No nesting_parameters-NAMELIST found
        pmc_status = pmc_no_namelist_found
        RETURN
     ELSEIF ( istat > 0 )  THEN
 !
-!--    Errors in reading nestpar-NAMELIST
+!--    Errors in reading nesting_parameters-NAMELIST
        pmc_status = pmc_namelist_error
        RETURN
@@ -519,5 +523,5 @@
     m_couplers = domain_layouts
 !
-!-- Get the number of nested models given in the nestpar-NAMELIST
+!-- Get the number of nested models given in the nesting_parameters-NAMELIST
     DO  i = 1, pmc_max_models
 !
Index: palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/radiation_model_mod.f90	(revision 2930)
+++ palm/trunk/SOURCE/radiation_model_mod.f90	(revision 2932)
@@ -28,4 +28,7 @@
 ! -----------------
 ! $Id$
+! renamed radiation_par to radiation_parameters
+! 
+! 2930 2018-03-23 16:30:46Z suehring
 ! Remove default surfaces from radiation model, does not make much sense to 
 ! apply radiation model without energy-balance solvers; Further, add check for 
@@ -2571,5 +2574,5 @@
 ! Description:
 ! ------------
-!> Parin for &radiation_par for radiation model
+!> Parin for &radiation_parameters for radiation model
 !------------------------------------------------------------------------------!
     SUBROUTINE radiation_parin
@@ -2592,12 +2595,25 @@
                                   average_radiation,                           &
                                   surf_reflections, svfnorm_report_thresh
-       
+   
+       NAMELIST /radiation_parameters/   albedo, albedo_type, albedo_lw_dir,   &
+                                  albedo_lw_dif, albedo_sw_dir, albedo_sw_dif, &
+                                  constant_albedo, dt_radiation, emissivity,   &
+                                  lw_radiation, net_radiation,                 &
+                                  radiation_scheme, skip_time_do_radiation,    &
+                                  sw_radiation, unscheduled_radiation_calls,   &
+                                  split_diffusion_radiation,                   &
+                                  max_raytracing_dist, min_irrf_value,         &
+                                  nrefsteps, mrt_factors, rma_lad_raytrace,    &
+                                  dist_max_svf,                                &
+                                  average_radiation,                           &
+                                  surf_reflections, svfnorm_report_thresh
+   
        line = ' '
        
 !
-!--    Try to find radiation model package
+!--    Try to find radiation model namelist
        REWIND ( 11 )
        line = ' '
-       DO   WHILE ( INDEX( line, '&radiation_par' ) == 0 )
+       DO   WHILE ( INDEX( line, '&radiation_parameters' ) == 0 )
           READ ( 11, '(A)', END=10 )  line
        ENDDO
@@ -2606,16 +2622,41 @@
 !
 !--    Read user-defined namelist
-       READ ( 11, radiation_par )
+       READ ( 11, radiation_parameters )
 
 !
 !--    Set flag that indicates that the radiation model is switched on
        radiation = .TRUE.
+       
+       GOTO 12
+!
+!--    Try to find old namelist
+ 10    REWIND ( 11 )
+       line = ' '
+       DO   WHILE ( INDEX( line, '&radiation_par' ) == 0 )
+          READ ( 11, '(A)', END=12 )  line
+       ENDDO
+       BACKSPACE ( 11 )
+
+!
+!--    Read user-defined namelist
+       READ ( 11, radiation_par )
+       
+       message_string = 'namelist radiation_par is deprecated and will be ' // &
+                     'removed in near future. Please &use namelist ' //        &
+                     'radiation_parameters instead'
+       CALL message( 'radiation_parin', 'PA0487', 0, 1, 0, 6, 0 )
+
+       
+!
+!--    Set flag that indicates that the radiation model is switched on
+       radiation = .TRUE.
+
+ 12    CONTINUE
+       
+
 
 !--    Set radiation_interactions flag according to urban_ and land_surface flag
-       IF ( urban_surface  .OR.  land_surface ) radiation_interactions = .TRUE.
-
- 10    CONTINUE
+       IF ( urban_surface  .OR.  land_surface )  radiation_interactions = .TRUE.
        
-
     END SUBROUTINE radiation_parin
 
@@ -5451,5 +5492,5 @@
                CASE DEFAULT
                   WRITE(message_string, *) 'ERROR: the surface type ',td , ' is not supported for calculating SVF'
-                  CALL message( 'radiation_calc_svf', 'PA0XXX', 1, 2, 0, 6, 0 )
+                  CALL message( 'radiation_calc_svf', 'PA0488', 1, 2, 0, 6, 0 )
             END SELECT
 
Index: palm/trunk/SOURCE/spectra_mod.f90
===================================================================
--- palm/trunk/SOURCE/spectra_mod.f90	(revision 2930)
+++ palm/trunk/SOURCE/spectra_mod.f90	(revision 2932)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! renamed spectra_par to spectra_parameters
+! 
+! 2841 2018-02-27 15:02:57Z knoop
 ! Bugfix: wrong placement of include 'mpif.h' corrected
 ! 
@@ -195,5 +198,5 @@
 
        USE control_parameters,                                                 &
-           ONLY:  dt_data_output
+           ONLY:  dt_data_output, message_string
 
        IMPLICIT NONE
@@ -206,5 +209,8 @@
                                spectra_direction
 
-
+       NAMELIST /spectra_parameters/                                           &
+                               averaging_interval_sp, comp_spectra_level,      &
+                               data_output_sp, dt_dosp, skip_time_dosp,        &
+                               spectra_direction
 !
 !--    Position the namelist-file at the beginning (it was already opened in
@@ -217,5 +223,5 @@
        REWIND ( 11 )
        line = ' '
-       DO   WHILE ( INDEX( line, '&spectra_par' ) == 0 )
+       DO   WHILE ( INDEX( line, '&spectra_parameters' ) == 0 )
           READ ( 11, '(A)', END=10 )  line
        ENDDO
@@ -224,5 +230,5 @@
 !
 !--    Read namelist
-       READ ( 11, spectra_par )
+       READ ( 11, spectra_parameters )
 
 !
@@ -235,5 +241,34 @@
        calculate_spectra = .TRUE.
 
- 10    CONTINUE
+       GOTO 12
+!
+!--    Try to find the old namelist
+ 10    REWIND ( 11 )
+       line = ' '
+       DO   WHILE ( INDEX( line, '&spectra_par' ) == 0 )
+          READ ( 11, '(A)', END=12 )  line
+       ENDDO
+       BACKSPACE ( 11 )
+
+!
+!--    Read namelist
+       READ ( 11, spectra_par )
+
+       
+       message_string = 'namelist spectra_par is deprecated and will be ' // &
+                     'removed in near future. Please &use namelist ' //      &
+                     'spectra_parameters instead'
+       CALL message( 'spectra_parin', 'PA0487', 0, 1, 0, 6, 0 )
+!
+!--    Default setting of dt_dosp here (instead of check_parameters), because
+!--    its current value is needed in init_pegrid
+       IF ( dt_dosp == 9999999.9_wp )  dt_dosp = dt_data_output
+
+!
+!--    Set general switch that spectra shall be calculated
+       calculate_spectra = .TRUE.
+       
+       
+ 12    CONTINUE
 
     END SUBROUTINE spectra_parin
Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2930)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2932)
@@ -28,4 +28,7 @@
 ! -----------------
 ! $Id$
+! renamed urban_surface_par to urban_surface_parameters
+! 
+! 2921 2018-03-22 15:05:23Z Giersch
 ! The activation of spinup has been moved to parin
 ! 
@@ -5164,9 +5167,26 @@
                            window_inner_temperature
 
+       NAMELIST /urban_surface_parameters/                                     &
+                           building_type,                                      &
+                           land_category,                                      &
+                           naheatlayers,                                       &
+                           pedestrian_category,                                &
+                           roughness_concrete,                                 &
+                           read_wall_temp_3d,                                  &
+                           roof_category,                                      &
+                           urban_surface,                                      &
+                           usm_anthropogenic_heat,                             &
+                           usm_material_model,                                 &
+                           wall_category,                                      &
+                           indoor_model,                                       &
+                           wall_inner_temperature,                             &
+                           roof_inner_temperature,                             &
+                           soil_inner_temperature,                             &
+                           window_inner_temperature
 !
 !--    Try to find urban surface model package
        REWIND ( 11 )
        line = ' '
-       DO   WHILE ( INDEX( line, '&urban_surface_par' ) == 0 )
+       DO   WHILE ( INDEX( line, '&urban_surface_parameters' ) == 0 )
           READ ( 11, '(A)', END=10 )  line
        ENDDO
@@ -5175,11 +5195,32 @@
 !
 !--    Read user-defined namelist
-       READ ( 11, urban_surface_par )
+       READ ( 11, urban_surface_parameters )
 !
 !--    Set flag that indicates that the land surface model is switched on
        urban_surface = .TRUE.
 
-
- 10    CONTINUE
+       GOTO 12
+!
+!--    Try to find old namelist
+ 10    REWIND ( 11 )
+       line = ' '
+       DO   WHILE ( INDEX( line, '&urban_surface_par' ) == 0 )
+          READ ( 11, '(A)', END=12 )  line
+       ENDDO
+       BACKSPACE ( 11 )
+
+!
+!--    Read user-defined namelist
+       READ ( 11, urban_surface_par )
+
+       message_string = 'namelist urban_surface_par is deprecated and will be ' // &
+                     'removed in near future. Please &use namelist ' //            &
+                     'urban_surface_parameters instead' 
+       CALL message( 'usm_parin', 'PA0487', 0, 1, 0, 6, 0 )
+!
+!--    Set flag that indicates that the land surface model is switched on
+       urban_surface = .TRUE.
+
+ 12    CONTINUE
 
 
Index: palm/trunk/SOURCE/user_parin.f90
===================================================================
--- palm/trunk/SOURCE/user_parin.f90	(revision 2930)
+++ palm/trunk/SOURCE/user_parin.f90	(revision 2932)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! renamed userpar to user_parameters
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -96,5 +99,5 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=80) ::  zeile   !< 
+    CHARACTER (LEN=80) ::  line   !< 
 
     INTEGER(iwp) ::  i                 !< 
@@ -104,4 +107,8 @@
 
     NAMELIST /userpar/  data_output_pr_user, data_output_user, region,         &
+                        data_output_masks_user
+                        
+                        
+    NAMELIST /user_parameters/  data_output_pr_user, data_output_user, region, &
                         data_output_masks_user
 
@@ -119,7 +126,7 @@
     REWIND ( 11 )
 
-    zeile = ' '
-    DO   WHILE ( INDEX( zeile, '&userpar' ) == 0 )
-       READ ( 11, '(A)', END=100 )  zeile
+    line = ' '
+    DO   WHILE ( INDEX( line, '&user_parameters' ) == 0 )
+       READ ( 11, '(A)', END=10 )  line
     ENDDO
     BACKSPACE ( 11 )
@@ -128,42 +135,73 @@
 !-- Read user-defined namelist
     READ ( 11, userpar )
+
     user_defined_namelist_found = .TRUE.
+
+    GOTO 12
+    
+    
+10  REWIND ( 11 )
+
+    line = ' ' 
+    DO   WHILE ( INDEX( line, '&userpar' ) == 0 )
+       READ ( 11, '(A)', END=12 )  line
+    ENDDO
+    BACKSPACE ( 11 )
+
+!
+!-- Read user-defined namelist
+    READ ( 11, userpar )
+    
+    
+    message_string = 'namelist userpar is deprecated and will be ' //          &
+                     'removed in near future. Please &use namelist ' //        &
+                     'user_parameters instead' 
+    CALL message( 'user_parin', 'PA0487', 0, 1, 0, 6, 0 )
+       
+    user_defined_namelist_found = .TRUE.
+    
+    
+ 12 CONTINUE
 
 !
 !-- Determine the number of user-defined profiles and append them to the
 !-- standard data output (data_output_pr)
-    max_pr_user_tmp = 0
-    IF ( data_output_pr_user(1) /= ' ' )  THEN
-       i = 1
-       DO  WHILE ( data_output_pr(i) /= ' '  .AND.  i <= 100 )
-          i = i + 1
-       ENDDO
-       j = 1
-       DO  WHILE ( data_output_pr_user(j) /= ' '  .AND.  j <= 100 )
-          data_output_pr(i) = data_output_pr_user(j)
-          max_pr_user_tmp   = max_pr_user_tmp + 1
-          i = i + 1
-          j = j + 1
-       ENDDO
-    ENDIF
-
-!
-!-- In case of a restart run, the number of user-defined profiles on the
-!-- restart file (already stored in max_pr_user) has to match the one given
-!-- for the current run
-    IF ( TRIM( initializing_actions ) == 'read_restart_data' )  THEN
-       IF ( max_pr_user /= max_pr_user_tmp )  THEN
-          WRITE( message_string, * ) 'the number of user-defined profiles ',   &
+    IF ( user_defined_namelist_found )  THEN
+       max_pr_user_tmp = 0
+       IF ( data_output_pr_user(1) /= ' ' )  THEN
+          i = 1
+          DO  WHILE ( data_output_pr(i) /= ' '  .AND.  i <= 100 )
+             i = i + 1
+          ENDDO
+          j = 1
+          DO  WHILE ( data_output_pr_user(j) /= ' '  .AND.  j <= 100 )
+             data_output_pr(i) = data_output_pr_user(j)
+             max_pr_user_tmp   = max_pr_user_tmp + 1
+             i = i + 1
+             j = j + 1
+          ENDDO
+      ENDIF
+
+
+!
+!--    In case of a restart run, the number of user-defined profiles on the
+!--    restart file (already stored in max_pr_user) has to match the one given
+!--    for the current run
+       IF ( TRIM( initializing_actions ) == 'read_restart_data' )  THEN
+          IF ( max_pr_user /= max_pr_user_tmp )  THEN
+             WRITE( message_string, * ) 'the number of user-defined profiles ',&
                      'given in &data_output_pr (', max_pr_user_tmp, ') doe',   &
                      'snot match the one ',                                    &
                      '&found in the restart file (', max_pr_user,              &
                                      ')'
-          CALL message( 'user_parin', 'UI0009', 1, 2, 0, 6, 0 )
+             CALL message( 'user_parin', 'UI0009', 1, 2, 0, 6, 0 )
+          ENDIF
+       ELSE
+          max_pr_user = max_pr_user_tmp
        ENDIF
-    ELSE
-       max_pr_user = max_pr_user_tmp
+
     ENDIF
-
-100 RETURN
+ 
+    RETURN
 
  END SUBROUTINE user_parin
Index: palm/trunk/SOURCE/uv_exposure_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/uv_exposure_model_mod.f90	(revision 2930)
+++ palm/trunk/SOURCE/uv_exposure_model_mod.f90	(revision 2932)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! renamed uvexposure_par to biometeorology_parameters
+! 
+! 2894 2018-03-15 09:17:58Z Giersch
 ! Routine for skipping global restart data has been removed, uvem_last_actions
 ! has been renamed to uvem_wrd_global and uvem_read_restart_data has been 
@@ -425,5 +428,5 @@
     CHARACTER (LEN=80) ::  line  !< dummy string for current line in parameter file 
     
-    NAMELIST /uvexposure_par/  clothing
+    NAMELIST /biometeorology_parameters/  clothing
     
     line = ' '
@@ -433,5 +436,5 @@
     REWIND ( 11 )
     line = ' '
-    DO   WHILE ( INDEX( line, '&uvexposure_par' ) == 0 )
+    DO   WHILE ( INDEX( line, '&biometerology_parameters' ) == 0 )
        READ ( 11, '(A)', END=10 )  line
     ENDDO
@@ -440,5 +443,5 @@
 !
 !-- Read user-defined namelist
-    READ ( 11, uvexposure_par )
+    READ ( 11, biometeorology_parameters )
 
 !
Index: palm/trunk/SOURCE/virtual_flight_mod.f90
===================================================================
--- palm/trunk/SOURCE/virtual_flight_mod.f90	(revision 2930)
+++ palm/trunk/SOURCE/virtual_flight_mod.f90	(revision 2932)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! renamed flight_par to virtual_flight_parameters
+! 
+! 2894 2018-03-15 09:17:58Z Giersch
 ! variable named found has been introduced for checking if restart data was 
 ! found, reading of restart strings has been moved completely to 
@@ -218,5 +221,5 @@
 
        USE control_parameters,                                                 &
-           ONLY:  initializing_actions  
+           ONLY:  initializing_actions, message_string  
       
        IMPLICIT NONE
@@ -227,10 +230,15 @@
                               flight_level, max_elev_change, rate_of_climb,    &
                               speed_agl, x_end, x_start, y_end, y_start
-                              
+  
+
+       NAMELIST /virtual_flight_parameters/                                    &
+                              flight_angle, flight_end, flight_begin, leg_mode,&
+                              flight_level, max_elev_change, rate_of_climb,    &
+                              speed_agl, x_end, x_start, y_end, y_start
 !
 !--    Try to find the namelist flight_par
        REWIND ( 11 )
        line = ' '
-       DO   WHILE ( INDEX( line, '&flight_par' ) == 0 )
+       DO   WHILE ( INDEX( line, '&virtual_flight_parameters' ) == 0 )
           READ ( 11, '(A)', END=10 )  line
        ENDDO
@@ -239,11 +247,32 @@
 !
 !--    Read namelist
-       READ ( 11, flight_par )
+       READ ( 11, virtual_flight_parameters )
 !
 !--    Set switch that virtual flights shall be carried out
        virtual_flight = .TRUE.
 
-
- 10    CONTINUE
+       GOTO 12
+!
+!--    Try to find the old namelist
+ 10    REWIND ( 11 )
+       line = ' '
+       DO   WHILE ( INDEX( line, '&flight_par' ) == 0 )
+          READ ( 11, '(A)', END=12 )  line
+       ENDDO
+       BACKSPACE ( 11 )
+
+!
+!--    Read namelist
+       READ ( 11, flight_par )
+       
+       message_string = 'namelist flight_par is deprecated and will be ' // &
+                     'removed in near future. Please &use namelist ' //     &
+                     'virtual_flight_parameters instead' 
+       CALL message( 'flight_parin', 'PA0487', 0, 1, 0, 6, 0 )     
+!
+!--    Set switch that virtual flights shall be carried out
+       virtual_flight = .TRUE.
+
+ 12    CONTINUE
 
     END SUBROUTINE flight_parin
Index: palm/trunk/SOURCE/wind_turbine_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/wind_turbine_model_mod.f90	(revision 2930)
+++ palm/trunk/SOURCE/wind_turbine_model_mod.f90	(revision 2932)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! renamed wind_turbine_par to wind_turbine_parameters
+! 
+! 2894 2018-03-15 09:17:58Z Giersch
 ! variable named found has been introduced for checking if restart data was 
 ! found, reading of restart strings has been moved completely to 
@@ -493,11 +496,51 @@
                                   turb_cd_nacelle, turb_cd_tower, pitch_rate,  &
                                   yaw_control, yaw_speed, tl_cor
-
+                                  
+       NAMELIST /wind_turbine_parameters/                                      &
+                                  air_dens, dtow, gear_eff, gear_ratio,        &
+                                  gen_eff, inertia_gen, inertia_rot, max_miss, &
+                                  max_torque_gen, max_trq_rate, min_miss,      &
+                                  min_reg15, min_reg2, nairfoils, nturbines,   &
+                                  omega_rot, phi_yaw, pitch_add, pitch_control,&
+                                  rated_genspeed, rated_power, rcx, rcy, rcz,  &
+                                  rnac, rr, segment_length, segment_width,     &
+                                  slope2, speed_control, tilt, time_turbine_on,&
+                                  turb_cd_nacelle, turb_cd_tower, pitch_rate,  &
+                                  yaw_control, yaw_speed, tl_cor
 !
 !--    Try to find wind turbine model package
        REWIND ( 11 )
        line = ' '
+       DO  WHILE ( INDEX( line, '&wind_turbine_parameters' ) == 0 )
+          READ ( 11, '(A)', END=10 )  line
+       ENDDO
+       BACKSPACE ( 11 )
+
+!
+!--    Read user-defined namelist
+       READ ( 11, wind_turbine_parameters, IOSTAT=ierrn )
+
+       IF ( ierrn < 0 )  THEN
+          message_string = 'no wind_turbine_parameters-NAMELIST found: '  //    &
+                           'End of file has reached'
+          CALL message( 'wtm_parin', 'PA0460', 1, 2, 0, 6, 0 )
+       ELSEIF ( ierrn > 0 ) THEN
+          message_string = 'errors in wind_turbine_parameters-NAMELIST: '  //   &
+                           'some variables for steering may not be properly set'
+          CALL message( 'wtm_parin', 'PA0466', 1, 2, 0, 6, 0 )               
+       ENDIF
+       
+!
+!--    Set flag that indicates that the wind turbine model is switched on
+       wind_turbine = .TRUE.
+       
+       GOTO 12
+
+!
+!--    Try to find wind turbine model package
+ 10    REWIND ( 11 )
+       line = ' '
        DO  WHILE ( INDEX( line, '&wind_turbine_par' ) == 0 )
-          READ ( 11, '(A)', END=10 )  line
+          READ ( 11, '(A)', END=12 )  line
        ENDDO
        BACKSPACE ( 11 )
@@ -512,15 +555,19 @@
           CALL message( 'wtm_parin', 'PA0460', 1, 2, 0, 6, 0 )
        ELSEIF ( ierrn > 0 ) THEN
-          message_string = 'errors in wind_turbine_par-NAMELIST: '  //          &
+          message_string = 'errors in wind_turbine_par-NAMELIST: '  //         &
                            'some variables for steering may not be properly set'
           CALL message( 'wtm_parin', 'PA0466', 1, 2, 0, 6, 0 )               
        ENDIF
-       
+      
+       message_string = 'namelist wind_tubrine_par is deprecated and will ' // &
+                        'be removed in near future. Please &use namelist ' //  &
+                        'wind_turbine_parameters instead' 
+       CALL message( 'wtm_parin', 'PA0487', 0, 1, 0, 6, 0 )     
+      
 !
 !--    Set flag that indicates that the wind turbine model is switched on
        wind_turbine = .TRUE.
 
-
- 10    CONTINUE   ! TBD Change from continue, mit ierrn machen
+ 12    CONTINUE   ! TBD Change from continue, mit ierrn machen
 
 
